Page MenuHomePhabricator

Help panel: create the "More on this feature" page
Closed, ResolvedPublic

Description

In T209318, we discussed where the "More on this feature" link from this mockup should go. We think we need to create a specific page geared toward explaining the feature to new users, modeled similarly to this page from the Content Translation tool: https://www.mediawiki.org/wiki/Content_translation

Working page: https://www.mediawiki.org/wiki/Growth/Focus_on_help_desk/Help_panel

Event Timeline

Trizek-WMF moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.
Trizek-WMF triaged this task as High priority.

Just to be sure -- Will that documentation be linked from a different place than the "Know more about that feature" link in the panel, displayed only after the question has been posted?

Just to be sure -- Will that documentation be linked from a different place than the "Know more about that feature" link in the panel, displayed only after the question has been posted?

No, it will appear as a link within the settings cog which can be accessed at any step of the help panel.

Trizek-WMF updated the task description. (Show Details)Jan 4 2019, 4:47 PM
Bencemac removed a subscriber: Bencemac.Jan 4 2019, 5:03 PM
MMiller_WMF added a comment.EditedJan 4 2019, 11:56 PM

@Trizek-WMF -- thank you for making this page. I like the "Tips on how to post a good question" and "Frequently Asked Questions" sections. I've edited your draft to add some more info and rephrase some things. When you're ready, I think we should get it translated. And I think @kostajh can add the link to the code.

One thing I'm not sure about, though, is the links I added and whether those will automatically work in the other wikis. Could you please check to make sure I did that right?

One thing I'm not sure about, though, is the links I added and whether those will automatically work in the other wikis. Could you please check to make sure I did that right?

The text can be adapted to the language during the translation process. The idea is to have the links to go to the ressources on a wiki in that language.

I've marked the page for translation accordingly.

Elitre added a subscriber: Elitre.Jan 11 2019, 3:37 PM

(Trizek's part TBE in T213547.)

Trizek-WMF closed this task as Resolved.Jan 14 2019, 11:11 AM

The pages has been translated and the deployment done.

MMiller_WMF reopened this task as Open.Jan 14 2019, 11:37 PM
MMiller_WMF reassigned this task from Trizek-WMF to kostajh.

Although @Trizek-WMF's work here is complete, I'm re-opening it because we have not yet deployed the link in the help panel for users to click on. Assigning to @kostajh.

This is riding the train and will be in production on Thursday.

The link is present in the cog button options and work as expected.

MMiller_WMF closed this task as Resolved.

Looks good.